#include <iostream>
#include <stdio.h>

using namespace std;

int main(){
    int n,m,i,j,b=0,z=0,a[100000],x[10000];
    cin >> n >> m;
    for(i=0;i<n;i++)
        {cin >> a[i];
         if(a[i]>m/2) b++;}
    if(b<n/2)
    {
        for(i=0;i<n;i++)
            for(j=0;j<a[i];j++)
            {if(a[i]!=m) x[j]++;
             else break;}
    }
    else
    {
        for(i=0;i<n;i++)
            for(j=0;j<m-a[i];j++)
            {if(a[i]!=0) x[j]++;
             else break;}
    }
    for(i=0;i<m;i++)
        z+=x[i]*(n-x[i]);
    cout << z;


    return 0;
}